## r-bioc-ihw 1.12.0+dfsg

=== DESCRIPTION ===
Package: IHW
Title: Independent Hypothesis Weighting
Version: 1.12.0
Authors@R: c(person("Nikos", "Ignatiadis", email = "nikos.ignatiadis01@gmail.com", role = c("aut", "cre")),
             person("Wolfgang", "Huber", role = "aut"))
Description: Independent hypothesis weighting (IHW) is a multiple testing
    procedure that increases power compared to the method of Benjamini and Hochberg by assigning
    data-driven weights to each hypothesis. The input to IHW is a two-column
    table of p-values and covariates. The covariate can be any continuous-valued
    or categorical variable that is thought to be informative on the statistical
    properties of each hypothesis test, while it is independent of the p-value under
    the null hypothesis.
Depends: R (>= 3.3.0)
License: Artistic-2.0
LazyData: true
Imports: methods, slam, lpsymphony, fdrtool, BiocGenerics
Suggests: ggplot2, dplyr, gridExtra, scales, DESeq2, airway, testthat,
        Matrix, BiocStyle, knitr, rmarkdown, devtools
VignetteBuilder: knitr
biocViews: ImmunoOncology, MultipleComparison, RNASeq
RoxygenNote: 6.0.1
git_url: https://git.bioconductor.org/packages/IHW
git_branch: RELEASE_3_9
git_last_commit: beebb46
git_last_commit_date: 2019-05-02
Date/Publication: 2019-05-02
NeedsCompilation: no
Packaged: 2019-05-03 01:52:51 UTC; biocbuild
Author: Nikos Ignatiadis [aut, cre],
  Wolfgang Huber [aut]
Maintainer: Nikos Ignatiadis <nikos.ignatiadis01@gmail.com>

=== debian/changelog ===
r-bioc-ihw (1.12.0+dfsg-1) unstable; urgency=medium

  * Initial release (closes: #931599)

 -- Andreas Tille <tille@debian.org>  Mon, 08 Jul 2019 08:17:06 +0200

=== debian/control ===
Source: r-bioc-ihw
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper (>= 12~),
               dh-r,
               r-base-dev,
               r-cran-slam,
               r-bioc-lpsymphony,
               r-cran-fdrtool,
               r-bioc-biocgenerics
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-ihw
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-ihw.git
Homepage: https://bioconductor.org/packages/IHW/

Package: r-bioc-ihw
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R independent hypothesis weighting
 Independent hypothesis weighting (IHW) is a multiple testing procedure
 that increases power compared to the method of Benjamini and Hochberg by
 assigning data-driven weights to each hypothesis. The input to IHW is a
 two-column table of p-values and covariates. The covariate can be any
 continuous-valued or categorical variable that is thought to be
 informative on the statistical properties of each hypothesis test, while
 it is independent of the p-value under the null hypothesis.

=== debian/watch ===
version=4
opts="downloadurlmangle=s?^(.*)\.\.?https:$1packages/release/bioc?,repacksuffix=+dfsg,dversionmangle=s/\+dfsg[0-9]*//g,repack,compression=xz" \
https://bioconductor.org/packages/release/bioc/html/IHW.html .*/IHW_(.*).tar.gz

## r-bioc-ihw 1.14.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: IHW
 Title: Independent Hypothesis Weighting
-Version: 1.12.0
+Version: 1.14.0
 Authors@R: c(person("Nikos", "Ignatiadis", email = "nikos.ignatiadis01@gmail.com", role = c("aut", "cre")),
              person("Wolfgang", "Huber", role = "aut"))
 Description: Independent hypothesis weighting (IHW) is a multiple testing
@@ -20,12 +20,12 @@
 biocViews: ImmunoOncology, MultipleComparison, RNASeq
 RoxygenNote: 6.0.1
 git_url: https://git.bioconductor.org/packages/IHW
-git_branch: RELEASE_3_9
-git_last_commit: beebb46
-git_last_commit_date: 2019-05-02
-Date/Publication: 2019-05-02
+git_branch: RELEASE_3_10
+git_last_commit: d4942e6
+git_last_commit_date: 2019-10-29
+Date/Publication: 2019-10-29
 NeedsCompilation: no
-Packaged: 2019-05-03 01:52:51 UTC; biocbuild
+Packaged: 2019-10-30 01:48:32 UTC; biocbuild
 Author: Nikos Ignatiadis [aut, cre],
   Wolfgang Huber [aut]
 Maintainer: Nikos Ignatiadis <nikos.ignatiadis01@gmail.com>

=== debian/changelog ===
r-bioc-ihw (1.14.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Dylan Aïssi <daissi@debian.org>  Mon, 11 Nov 2019 08:09:57 +0100

r-bioc-ihw (1.12.0+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Fixed debian/watch for BioConductor
  * debhelper-compat 12
  * Standards-Version: 4.4.1
  * Trim trailing whitespace.

 -- Dylan Aïssi <daissi@debian.org>  Mon, 28 Oct 2019 09:29:49 +0100

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,14 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev,
                r-cran-slam,
                r-bioc-lpsymphony,
                r-cran-fdrtool,
                r-bioc-biocgenerics
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-ihw
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-ihw.git
 Homepage: https://bioconductor.org/packages/IHW/

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-testthat, r-cran-ggplot2, r-cran-scales
Restrictions: allow-stderr

## r-bioc-ihw 1.16.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: IHW
 Title: Independent Hypothesis Weighting
-Version: 1.14.0
+Version: 1.16.0
 Authors@R: c(person("Nikos", "Ignatiadis", email = "nikos.ignatiadis01@gmail.com", role = c("aut", "cre")),
              person("Wolfgang", "Huber", role = "aut"))
 Description: Independent hypothesis weighting (IHW) is a multiple testing
@@ -20,12 +20,12 @@
 biocViews: ImmunoOncology, MultipleComparison, RNASeq
 RoxygenNote: 6.0.1
 git_url: https://git.bioconductor.org/packages/IHW
-git_branch: RELEASE_3_10
-git_last_commit: d4942e6
-git_last_commit_date: 2019-10-29
-Date/Publication: 2019-10-29
+git_branch: RELEASE_3_11
+git_last_commit: d5a05b9
+git_last_commit_date: 2020-04-27
+Date/Publication: 2020-04-27
 NeedsCompilation: no
-Packaged: 2019-10-30 01:48:32 UTC; biocbuild
+Packaged: 2020-04-28 02:11:24 UTC; biocbuild
 Author: Nikos Ignatiadis [aut, cre],
   Wolfgang Huber [aut]
 Maintainer: Nikos Ignatiadis <nikos.ignatiadis01@gmail.com>

=== debian/changelog ===
r-bioc-ihw (1.16.0+dfsg-1build1) groovy; urgency=medium

  * No-change rebuild against r-api-4.0

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 30 May 2020 14:05:56 +0000

r-bioc-ihw (1.16.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Andreas Tille <tille@debian.org>  Sat, 16 May 2020 15:42:58 +0200

=== debian/control ===
--- 
+++ 
@@ -11,10 +11,11 @@
                r-bioc-lpsymphony,
                r-cran-fdrtool,
                r-bioc-biocgenerics
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-ihw
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-ihw.git
 Homepage: https://bioconductor.org/packages/IHW/
+Rules-Requires-Root: no
 
 Package: r-bioc-ihw
 Architecture: all

## r-bioc-ihw 1.18.0%2Bdfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: IHW
 Title: Independent Hypothesis Weighting
-Version: 1.16.0
+Version: 1.18.0
 Authors@R: c(person("Nikos", "Ignatiadis", email = "nikos.ignatiadis01@gmail.com", role = c("aut", "cre")),
              person("Wolfgang", "Huber", role = "aut"))
 Description: Independent hypothesis weighting (IHW) is a multiple testing
@@ -20,12 +20,12 @@
 biocViews: ImmunoOncology, MultipleComparison, RNASeq
 RoxygenNote: 6.0.1
 git_url: https://git.bioconductor.org/packages/IHW
-git_branch: RELEASE_3_11
-git_last_commit: d5a05b9
-git_last_commit_date: 2020-04-27
-Date/Publication: 2020-04-27
+git_branch: RELEASE_3_12
+git_last_commit: a59642f
+git_last_commit_date: 2020-10-27
+Date/Publication: 2020-10-27
 NeedsCompilation: no
-Packaged: 2020-04-28 02:11:24 UTC; biocbuild
+Packaged: 2020-10-28 01:01:40 UTC; biocbuild
 Author: Nikos Ignatiadis [aut, cre],
   Wolfgang Huber [aut]
 Maintainer: Nikos Ignatiadis <nikos.ignatiadis01@gmail.com>

## r-bioc-ihw 1.18.0+dfsg

=== debian/changelog ===
r-bioc-ihw (1.18.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 13 (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 02 Nov 2020 14:11:57 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-slam,

## r-bioc-ihw 1.22.0%2Bdfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: IHW
 Title: Independent Hypothesis Weighting
-Version: 1.18.0
+Version: 1.22.0
 Authors@R: c(person("Nikos", "Ignatiadis", email = "nikos.ignatiadis01@gmail.com", role = c("aut", "cre")),
              person("Wolfgang", "Huber", role = "aut"))
 Description: Independent hypothesis weighting (IHW) is a multiple testing
@@ -12,20 +12,19 @@
     the null hypothesis.
 Depends: R (>= 3.3.0)
 License: Artistic-2.0
-LazyData: true
 Imports: methods, slam, lpsymphony, fdrtool, BiocGenerics
 Suggests: ggplot2, dplyr, gridExtra, scales, DESeq2, airway, testthat,
         Matrix, BiocStyle, knitr, rmarkdown, devtools
 VignetteBuilder: knitr
 biocViews: ImmunoOncology, MultipleComparison, RNASeq
-RoxygenNote: 6.0.1
+RoxygenNote: 7.1.1
 git_url: https://git.bioconductor.org/packages/IHW
-git_branch: RELEASE_3_12
-git_last_commit: a59642f
-git_last_commit_date: 2020-10-27
-Date/Publication: 2020-10-27
+git_branch: RELEASE_3_14
+git_last_commit: 0d30505
+git_last_commit_date: 2021-10-26
+Date/Publication: 2021-10-26
 NeedsCompilation: no
-Packaged: 2020-10-28 01:01:40 UTC; biocbuild
+Packaged: 2021-10-26 21:42:54 UTC; biocbuild
 Author: Nikos Ignatiadis [aut, cre],
   Wolfgang Huber [aut]
 Maintainer: Nikos Ignatiadis <nikos.ignatiadis01@gmail.com>

## r-bioc-ihw 1.22.0+dfsg

=== debian/changelog ===
r-bioc-ihw (1.22.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.22.0+dfsg

 -- Nilesh Patra <nilesh@debian.org>  Wed, 24 Nov 2021 20:58:01 +0530

r-bioc-ihw (1.20.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * dh-update-R to update Build-Depends (3) (routine-update)
  * Disable reprotest
  * Provide autopkgtest-pkg-r.conf to make sure testthat will be found
  * Drop debian/tests/control and rely on autopkgtest-pkg-r

 -- Andreas Tille <tille@debian.org>  Sat, 04 Sep 2021 21:56:50 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                r-bioc-lpsymphony,
                r-cran-fdrtool,
                r-bioc-biocgenerics
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-ihw
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-ihw.git
 Homepage: https://bioconductor.org/packages/IHW/

## r-bioc-ihw 1.24.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: IHW
 Title: Independent Hypothesis Weighting
-Version: 1.22.0
+Version: 1.24.0
 Authors@R: c(person("Nikos", "Ignatiadis", email = "nikos.ignatiadis01@gmail.com", role = c("aut", "cre")),
              person("Wolfgang", "Huber", role = "aut"))
 Description: Independent hypothesis weighting (IHW) is a multiple testing
@@ -19,12 +19,12 @@
 biocViews: ImmunoOncology, MultipleComparison, RNASeq
 RoxygenNote: 7.1.1
 git_url: https://git.bioconductor.org/packages/IHW
-git_branch: RELEASE_3_14
-git_last_commit: 0d30505
-git_last_commit_date: 2021-10-26
-Date/Publication: 2021-10-26
+git_branch: RELEASE_3_15
+git_last_commit: f137f5c
+git_last_commit_date: 2022-04-26
+Date/Publication: 2022-04-26
 NeedsCompilation: no
-Packaged: 2021-10-26 21:42:54 UTC; biocbuild
+Packaged: 2022-04-26 20:57:00 UTC; biocbuild
 Author: Nikos Ignatiadis [aut, cre],
   Wolfgang Huber [aut]
 Maintainer: Nikos Ignatiadis <nikos.ignatiadis01@gmail.com>

=== debian/changelog ===
r-bioc-ihw (1.24.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 13 May 2022 12:08:27 +0200

## r-bioc-ihw 1.26.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: IHW
 Title: Independent Hypothesis Weighting
-Version: 1.24.0
+Version: 1.26.0
 Authors@R: c(person("Nikos", "Ignatiadis", email = "nikos.ignatiadis01@gmail.com", role = c("aut", "cre")),
              person("Wolfgang", "Huber", role = "aut"))
 Description: Independent hypothesis weighting (IHW) is a multiple testing
@@ -19,12 +19,12 @@
 biocViews: ImmunoOncology, MultipleComparison, RNASeq
 RoxygenNote: 7.1.1
 git_url: https://git.bioconductor.org/packages/IHW
-git_branch: RELEASE_3_15
-git_last_commit: f137f5c
-git_last_commit_date: 2022-04-26
-Date/Publication: 2022-04-26
+git_branch: RELEASE_3_16
+git_last_commit: d37e3c5
+git_last_commit_date: 2022-11-01
+Date/Publication: 2022-11-01
 NeedsCompilation: no
-Packaged: 2022-04-26 20:57:00 UTC; biocbuild
+Packaged: 2022-11-01 21:50:25 UTC; biocbuild
 Author: Nikos Ignatiadis [aut, cre],
   Wolfgang Huber [aut]
 Maintainer: Nikos Ignatiadis <nikos.ignatiadis01@gmail.com>

=== debian/changelog ===
r-bioc-ihw (1.26.0+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sun, 20 Nov 2022 17:14:32 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,13 @@
 Source: r-bioc-ihw
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-ihw
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-ihw.git
+Homepage: https://bioconductor.org/packages/IHW/
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
@@ -11,11 +15,7 @@
                r-bioc-lpsymphony,
                r-cran-fdrtool,
                r-bioc-biocgenerics
-Standards-Version: 4.6.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-ihw
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-ihw.git
-Homepage: https://bioconductor.org/packages/IHW/
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-bioc-ihw
 Architecture: all

## r-bioc-ihw 1.28.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: IHW
 Title: Independent Hypothesis Weighting
-Version: 1.26.0
+Version: 1.28.0
 Authors@R: c(person("Nikos", "Ignatiadis", email = "nikos.ignatiadis01@gmail.com", role = c("aut", "cre")),
              person("Wolfgang", "Huber", role = "aut"))
 Description: Independent hypothesis weighting (IHW) is a multiple testing
@@ -19,12 +19,12 @@
 biocViews: ImmunoOncology, MultipleComparison, RNASeq
 RoxygenNote: 7.1.1
 git_url: https://git.bioconductor.org/packages/IHW
-git_branch: RELEASE_3_16
-git_last_commit: d37e3c5
-git_last_commit_date: 2022-11-01
-Date/Publication: 2022-11-01
+git_branch: RELEASE_3_17
+git_last_commit: e900b67
+git_last_commit_date: 2023-04-25
+Date/Publication: 2023-04-25
 NeedsCompilation: no
-Packaged: 2022-11-01 21:50:25 UTC; biocbuild
+Packaged: 2023-04-25 21:27:45 UTC; biocbuild
 Author: Nikos Ignatiadis [aut, cre],
   Wolfgang Huber [aut]
 Maintainer: Nikos Ignatiadis <nikos.ignatiadis01@gmail.com>

=== debian/changelog ===
r-bioc-ihw (1.28.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Reduce piuparts noise in transitions (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 20 Jul 2023 22:54:48 +0200

## r-bioc-ihw 1.30.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: IHW
 Title: Independent Hypothesis Weighting
-Version: 1.28.0
+Version: 1.30.0
 Authors@R: c(person("Nikos", "Ignatiadis", email = "nikos.ignatiadis01@gmail.com", role = c("aut", "cre")),
              person("Wolfgang", "Huber", role = "aut"))
 Description: Independent hypothesis weighting (IHW) is a multiple testing
@@ -19,12 +19,12 @@
 biocViews: ImmunoOncology, MultipleComparison, RNASeq
 RoxygenNote: 7.1.1
 git_url: https://git.bioconductor.org/packages/IHW
-git_branch: RELEASE_3_17
-git_last_commit: e900b67
-git_last_commit_date: 2023-04-25
-Date/Publication: 2023-04-25
+git_branch: RELEASE_3_18
+git_last_commit: c979513
+git_last_commit_date: 2023-10-24
+Date/Publication: 2023-10-24
 NeedsCompilation: no
-Packaged: 2023-04-25 21:27:45 UTC; biocbuild
+Packaged: 2023-10-24 21:38:38 UTC; biocbuild
 Author: Nikos Ignatiadis [aut, cre],
   Wolfgang Huber [aut]
 Maintainer: Nikos Ignatiadis <nikos.ignatiadis01@gmail.com>

=== debian/changelog ===
r-bioc-ihw (1.30.0+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 30 Nov 2023 08:38:46 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-ihw
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-ihw.git
 Homepage: https://bioconductor.org/packages/IHW/
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

## r-bioc-ihw 1.32.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: IHW
 Title: Independent Hypothesis Weighting
-Version: 1.30.0
+Version: 1.32.0
 Authors@R: c(person("Nikos", "Ignatiadis", email = "nikos.ignatiadis01@gmail.com", role = c("aut", "cre")),
              person("Wolfgang", "Huber", role = "aut"))
 Description: Independent hypothesis weighting (IHW) is a multiple testing
@@ -19,12 +19,13 @@
 biocViews: ImmunoOncology, MultipleComparison, RNASeq
 RoxygenNote: 7.1.1
 git_url: https://git.bioconductor.org/packages/IHW
-git_branch: RELEASE_3_18
-git_last_commit: c979513
-git_last_commit_date: 2023-10-24
-Date/Publication: 2023-10-24
+git_branch: RELEASE_3_19
+git_last_commit: af19127
+git_last_commit_date: 2024-04-30
+Repository: Bioconductor 3.19
+Date/Publication: 2024-04-30
 NeedsCompilation: no
-Packaged: 2023-10-24 21:38:38 UTC; biocbuild
+Packaged: 2024-05-01 04:16:27 UTC; biocbuild
 Author: Nikos Ignatiadis [aut, cre],
   Wolfgang Huber [aut]
 Maintainer: Nikos Ignatiadis <nikos.ignatiadis01@gmail.com>

=== debian/changelog ===
r-bioc-ihw (1.32.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 16 Aug 2024 16:30:22 +0200

r-bioc-ihw (1.32.0+dfsg-1~0exp1) experimental; urgency=medium

  * Team upload.
  * d/{,tests/}control: bump minimum versions of r-bioc-* packages to
    bioc-3.19+ versions

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 06 Aug 2024 14:52:22 +0200

r-bioc-ihw (1.32.0+dfsg-1~0exp) experimental; urgency=medium

  * Team upload
  * New upstream version
  * d/tests/autopkgtest-pkg-r.conf: skip on 32-bit architectures.

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 13 Jul 2024 15:22:58 +0200

=== debian/control ===
--- 
+++ 
@@ -12,17 +12,21 @@
                dh-r,
                r-base-dev,
                r-cran-slam,
-               r-bioc-lpsymphony,
+               r-bioc-lpsymphony (>= 1.32.0),
                r-cran-fdrtool,
-               r-bioc-biocgenerics
+               r-bioc-biocgenerics (>= 0.50.0)
 Testsuite: autopkgtest-pkg-r
 
 Package: r-bioc-ihw
 Architecture: all
 Depends: ${R:Depends},
-         ${misc:Depends}
+         ${misc:Depends},
+         r-bioc-lpsymphony (>= 1.32.0),
+         r-bioc-biocgenerics (>= 0.50.0)
 Recommends: ${R:Recommends}
-Suggests: ${R:Suggests}
+Suggests: ${R:Suggests},
+          r-bioc-deseq2 (>= 1.44.0),
+          r-bioc-biocstyle (>= 2.32.1)
 Description: GNU R independent hypothesis weighting
  Independent hypothesis weighting (IHW) is a multiple testing procedure
  that increases power compared to the method of Benjamini and Hochberg by

## r-bioc-ihw 1.34.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: IHW
 Title: Independent Hypothesis Weighting
-Version: 1.32.0
+Version: 1.34.0
 Authors@R: c(person("Nikos", "Ignatiadis", email = "nikos.ignatiadis01@gmail.com", role = c("aut", "cre")),
              person("Wolfgang", "Huber", role = "aut"))
 Description: Independent hypothesis weighting (IHW) is a multiple testing
@@ -19,13 +19,13 @@
 biocViews: ImmunoOncology, MultipleComparison, RNASeq
 RoxygenNote: 7.1.1
 git_url: https://git.bioconductor.org/packages/IHW
-git_branch: RELEASE_3_19
-git_last_commit: af19127
-git_last_commit_date: 2024-04-30
-Repository: Bioconductor 3.19
-Date/Publication: 2024-04-30
+git_branch: RELEASE_3_20
+git_last_commit: 12ebabb
+git_last_commit_date: 2024-10-29
+Repository: Bioconductor 3.20
+Date/Publication: 2024-10-29
 NeedsCompilation: no
-Packaged: 2024-05-01 04:16:27 UTC; biocbuild
+Packaged: 2024-10-30 01:13:50 UTC; biocbuild
 Author: Nikos Ignatiadis [aut, cre],
   Wolfgang Huber [aut]
 Maintainer: Nikos Ignatiadis <nikos.ignatiadis01@gmail.com>

=== debian/changelog ===
r-bioc-ihw (1.34.0+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 11 Jan 2025 22:03:36 +0100

r-bioc-ihw (1.34.0+dfsg-1) experimental; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 26 Nov 2024 11:55:35 +0100

=== debian/control ===
--- 
+++ 
@@ -6,27 +6,23 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-ihw
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-ihw.git
 Homepage: https://bioconductor.org/packages/IHW/
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-slam,
-               r-bioc-lpsymphony (>= 1.32.0),
+               r-bioc-lpsymphony,
                r-cran-fdrtool,
-               r-bioc-biocgenerics (>= 0.50.0)
+               r-bioc-biocgenerics
 Testsuite: autopkgtest-pkg-r
 
 Package: r-bioc-ihw
 Architecture: all
 Depends: ${R:Depends},
-         ${misc:Depends},
-         r-bioc-lpsymphony (>= 1.32.0),
-         r-bioc-biocgenerics (>= 0.50.0)
+         ${misc:Depends}
 Recommends: ${R:Recommends}
-Suggests: ${R:Suggests},
-          r-bioc-deseq2 (>= 1.44.0),
-          r-bioc-biocstyle (>= 2.32.1)
+Suggests: ${R:Suggests}
 Description: GNU R independent hypothesis weighting
  Independent hypothesis weighting (IHW) is a multiple testing procedure
  that increases power compared to the method of Benjamini and Hochberg by

=== debian/watch ===
version=4
opts="downloadurlmangle=s?^(.*)\.\.?https://bioconductor.org/packages/release/bioc?,repacksuffix=+dfsg,dversionmangle=s/\+dfsg[0-9]*//g,repack,compression=xz" \
https://bioconductor.org/packages/release/bioc/html/IHW.html .*/IHW_(.*).tar.gz
